
/*  @(#)header.h 1.6 95/07/07
 *
 *  Contains definitions for class "Header".
 *
 *  Copyright (c) Steve Holden and Rich Burridge.
 *                All rights reserved.
 *
 *  Permission is given to distribute these sources, as long as the
 *  copyright messages are not removed, and no monies are exchanged.
 *
 *  No responsibility is taken for any errors or inaccuracies inherent
 *  either to the comments or the code of this program, but if
 *  reported to me then an attempt will be made to fix them.
 */

#define  POSTSCRIPT_MAGIC  "%!"                  /* First line of PS file. */
#define  FROMHDR           "From:"
#define  FROM_HDR          "From "               /* UNIX From header. */
#define  APP_FROMHDR       "Apparently-From:"
#define  TOHDR             "To:"
#define  APP_TOHDR         "Apparently-To:"
#define  CCHDR             "Cc:"
#define  SUBJECTHDR        "Subject:"
#define  DATEHDR           "Date:"
#define  NEWSGROUPSHDR     "Newsgroups:"
#define  NEWSGROUPHDR      "Newsgroup:"
#define  REPLYHDR          "Reply-To:"
#define  CONTENT_LEN       "Content-Length:"

/* Maximum no of continuation header lines. */

#define  MAXCONT      100

extern int strcasecmp(const char *, const char *) ;

extern char *get_date_hdr        (void) ;
extern char *get_from_hdr        (void) ;
extern char *get_header_n        (int) ;
extern char *get_newsgroups_hdr  (void) ;
extern char *get_subject_hdr     (void) ;

extern int  hdr_equal            (char *) ;

extern void Header               (void) ;
extern void parse_headers        (int) ;
extern void reset_headers        (void) ;
extern void set_date_hdr         (char *) ;
extern void set_subject_hdr      (char *) ;
extern void show_headers         (int) ;

#ifdef MIME_SUPPORT
extern char *get_appfrom_hdr     (void) ;
extern char *get_appto_hdr       (void) ;
extern char **get_cc_hdr         (void) ;
extern char *get_replyto_hdr     (void) ;
extern char **get_to_hdr         (void) ;

extern int  printable            (char *str);
#endif /*MIME_SUPPORT*/

